# open-cpp-utils: open_cpp_utils::constant_value< T, V > Struct Template Reference

Loading...
Searching...
No Matches
open_cpp_utils::constant_value< T, V > Struct Template Reference

Compile-time constant value. More...

`#include <template_utils.h>`

## Public Types

using | type = T

## Public Member Functions

constexpr | operator type () const noexcept
constexpr type | operator() () const

## Static Public Attributes

static constexpr type | value = V

## Detailed Description

template<typename T, T V>
struct open_cpp_utils::constant_value< T, V >

Compile-time constant value.

Template Parameters

  T | Type
  V | Value

The documentation for this struct was generated from the following file:

- template_utils.h